(use object-graph)

(reset-graph)
(register-node 'a)
(set-label 'a "Start")
(assert (string=? "Start" (label 'a)))
(register-node 'b)
(register-node 'c)
(set-label 'c "Finish")
(assert (string=? "Finish" (label 'c)))
(register-edge 'a 'b)
(set-label (register-edge 'b 'c) "woo oho")
(register-edge 'b 'c)
(new-cluster "sniff" 
	      nodes: (list (lookup-object-node 'a) (lookup-object-node 'c)) 
	      edges: (list (lookup-edge 'b 'c)))
(assert (equal? '(a c) (map (compose node-object cdr) ((cluster-nodes (lookup-cluster "sniff"))))))
(new-cluster "puff")
(add-to-cluster (lookup-cluster "puff") (lookup-object-node 'a))
(add-to-cluster (lookup-cluster "puff") (lookup-object-node 'b))
(with-output-to-file "test.tlp"
  (lambda () (render-graph/tlp (current-output-port))))
(with-output-to-file "test.dot"
  (lambda () (render-graph/dot (current-output-port))))

